org.apache.storm.redis.common.mapper

## Class RedisDataTypeDescription

- java.lang.Object
- - org.apache.storm.redis.common.mapper.RedisDataTypeDescription

- All Implemented Interfaces:
    Serializable

      public class RedisDataTypeDescription
      extends Object
      implements Serializable

  RedisDataTypeDescription defines data type and additional key if needed for lookup / store tuples.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RedisDataTypeDescription.RedisDataType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisDataTypeDescription(RedisDataTypeDescription.RedisDataType dataType)` Constructor.
    `RedisDataTypeDescription(RedisDataTypeDescription.RedisDataType dataType, String additionalKey)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAdditionalKey()` Returns defined additional key.
    `RedisDataTypeDescription.RedisDataType` | `getDataType()` Returns defined data type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RedisDataTypeDescription

          public RedisDataTypeDescription(RedisDataTypeDescription.RedisDataType dataType)

      Constructor.

      Parameters:
        `dataType` - data type

    - #### RedisDataTypeDescription

          public RedisDataTypeDescription(RedisDataTypeDescription.RedisDataType dataType,
                                          String additionalKey)

      Constructor.

      Parameters:
        `dataType` - data type
        `additionalKey` - additional key for hash and sorted set

  - ### Method Detail

    - #### getDataType

          public RedisDataTypeDescription.RedisDataType getDataType()

      Returns defined data type.

      Returns:
        data type

    - #### getAdditionalKey

          public String getAdditionalKey()

      Returns defined additional key.

      Returns:
        additional key

Copyright © 2021 The Apache Software Foundation. All rights reserved.